
package de.ivu.elect.business.person.entity;

public enum VerknuepfungsArt {

  // WUS.
  WAHLVORSCHLAG_DUBLETTE,

  // WOS.
  WAHLHELFER_DUBLETTE,
  WAHLHELFER_GESPERRT,

  /**
   * @deprecated Destatis spezifisch und allgemein durch WAHLVORSCHLAG_DUBLETTE ersetzt.
   */
  @Deprecated
  KANDIDATUR_DUBLETTE

  ;

  private VerknuepfungsArt() {
  }

  public boolean isWahlvorschlagDublette() {
    return WAHLVORSCHLAG_DUBLETTE.equals(this) || KANDIDATUR_DUBLETTE.equals(this);
  }
}
